Closed Bug 445918 Opened 12 years ago Closed 12 years ago

DEB install for N8x0 doesn't update correctly

Categories

(Firefox for Android Graveyard :: General, defect, P2)

x86
Windows XP
defect

Tracking

(Not tracked)

VERIFIED FIXED
fennec1.0m6

People

(Reporter: mfinkle, Assigned: blassey)

References

Details

Attachments

(4 files)

I tried using the N810 Application Manager to "update" to Fennec 0.5 from Fennec 0.4, but it appears that only Fennec was updated. The previous version of XULRunner was left on the machine. I expected a dependency to updtae the XULRunner too.

In the end, I uninstalled Fennec 0.4 & XULRunner, then installed Fennec 0.5 (which installed XULRunner for me)
Flags: blocking-fennec1.0+
Priority: -- → P2
Target Milestone: --- → Fennec M6
Yeah, I had the exact same problem.
Duplicate of this bug: 445919
Assignee: nobody → blassey
Attachment #331355 - Flags: review?(ted.mielczarek)
Attachment #331356 - Flags: review?(ted.mielczarek)
Comment on attachment 331355 [details] [diff] [review]
adds the buildid to the version number of the xulrunner deb package

+debian/changelog: $(srcdir)/debian/changelog.in 

You should make this:
+debian/changelog: $(srcdir)/debian/changelog.in  $(LIBXUL_DIST)/bin/platform.ini

So that it updates correctly when the milestone changes.

r=me with that change
Attachment #331355 - Flags: review?(ted.mielczarek) → review+
Attachment #331356 - Flags: review?(ted.mielczarek) → review+
Attachment #331690 - Flags: review?(ted.mielczarek)
Attachment #331691 - Flags: review?(ted.mielczarek)
Attachment #331690 - Flags: review?(ted.mielczarek) → review+
Attachment #331691 - Flags: review?(ted.mielczarek) → review+
brad landed his fix
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → FIXED
verfied with beta3
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.